---
title: Configure CI/CD for your application
keywords: ci, cd, ci/cd, continuous integration, continuous deployment, deployment,
  github, github actions, go, golang, development
description: Learn how to set up CI/CD pipeline for your application.
aliases:
- /get-started/golang/configure-ci-cd/
---

## Get started with GitHub Actions

{{< include "gha-tutorial.md" >}}

## Next steps

In this module, you have learnt how to set up GitHub Actions workflow to an existing dockerized Go project, optimize your workflow to improve build times and reduce the number of pull requests, and finally, we learnt how to push only specific versions to Docker Hub.

You can also consider deploying your application to a public Cloud provider, such as Azure and AWS or to an orchestration platform such as Kubernetes.

In the next module, we’ll look into some options for doing so:

{{< button text="Deploy your app" url="deploy.md" >}}

## Feedback

Help us improve this topic by providing your feedback. Let us know what you think by creating an issue in the [Docker Docs]({{% param "repo" %}}/issues/new?title=[Golang%20docs%20feedback]) GitHub repository. Alternatively, [create a PR]({{% param "repo" %}}/pulls) to suggest updates.
